Skip site navigation (1) Skip section navigation (2)

Re: I can't build pgAgent&pgAdmin3

From: Dave Page <dpage(at)postgresql(dot)org>
To: rancpine cui <rancpine(at)gmail(dot)com>
Cc: pgadmin-support(at)postgresql(dot)org
Subject: Re: I can't build pgAgent&pgAdmin3
Date: 2007-04-23 07:51:42
Message-ID: 462C658E.7030600@postgresql.org (view raw or flat)
Thread:
Lists: pgadmin-support
rancpine cui wrote:
> Hello
>      I've installe PostgreSQL 8.1 into the default location from the 
> official PostgreSQL installer (pgInstaller). And in my 
> $BUILD_ROOT/pgadmin3-deps/ ,  I've already got wxWidgets, libxml2, 
> libxslt, iconv and zlib.
>     When I tried to build pgAdmin 1.6.3 under Windows Xp sp2, using VS 
> 2005, I succeeded in building pgaevent, but failed to do with pgAgent & 
> pgAdmin3.
>     When I tried to build pgAdmin3, VS says "error PRJ0019: Tools from 
> 'Extracting subversion repository version'  " and "BSCMAKE: error BK1506 
> : : No such file or directory"
>     When I tried to build pgAgent, it says "can't open 
> .\Debug/pgAgent.pch: No such file or directory" and
> "BSCMAKE: error BK1506 : : No such file or directory".
>     What shall I do now?

Is there a reason you're building from source on Windows, rather than 
using the binary packages provided? (if you're hacking the source code, 
you'd be better off on the pgadmin-hackers list).

If you do still want to build from source, please clean all projects, 
and attempt to build pgAdmin again and then post *all* the build output. 
The output you've posted above only makes sense if you're working from 
the 1.6 stable branch from SVN, but don't have an svn client in your path.

Regards, Dave.

In response to

pgadmin-support by date

Next:From: ivan.pavlovDate: 2007-04-23 09:29:59
Subject: Can't compile pgadmin
Previous:From: Dave PageDate: 2007-04-23 07:46:15
Subject: Re: Server not listening

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group